Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Class IconService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.common.ui.services.icon.IconService

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener, IIconProvider

    public class IconService

extends Service
implements IIconProvider

Service which handles icon operations.

Nested Class Summary
`protected static class` `IconService.ProviderDescriptor` A descriptor for `IIconProvider` defined by a configuration element.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Method Summary
`Image` `getIcon(IAdaptable hint)` Convenience method for getting an icon for an element.
`Image` `getIcon(IAdaptable hint, int flags)` Gets the icon for the given object.
`static IconService` `getInstance()` Retrieves the singleton instance of the IconService.
`protected Service.ProviderDescriptor` `newProviderDescriptor(IConfigurationElement element)` Creates a new provider descriptor for the specified configuration `element`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, createPriorityCache, execute, executeUnique, getAllProviders, getCachingKey, getPriority, getProviders, isOptimistic, isOptimized, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getInstance

    public static IconService getInstance()

  Retrieves the singleton instance of the IconService.

  Returns:
    IconService the IconService singleton instance

### getIcon

    public Image getIcon(IAdaptable hint,
                         int flags)

  Description copied from interface: `IIconProvider`
  Gets the icon for the given object.

  Specified by:
    `getIcon` in interface `IIconProvider`
  Parameters:
    `hint` - argument adaptable to IElement
    `flags` - optional icon flags
  Returns:
    Image the icon
  See Also:
    `IIconProvider.getIcon(IAdaptable, int)`

### getIcon

    public Image getIcon(IAdaptable hint)

  Convenience method for getting an icon for an element.

  Parameters:
    `hint` - argument adaptable to IElement or IElementTypeInfo
  Returns:
    Image the image

### newProviderDescriptor

    protected Service.ProviderDescriptor newProviderDescriptor(IConfigurationElement element)

  Description copied from class: `Service`
  Creates a new provider descriptor for the specified configuration `element`.

  Overrides:
    `newProviderDescriptor` in class `Service`
  Parameters:
    `element` - The configuration element from which to create the descriptor.
  Returns:
    A new provider descriptor.
  See Also:
    `Service.newProviderDescriptor(org.eclipse.core.runtime.IConfigurationElement)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.